﻿2026-06-04T00:32:39.3584327Z ##[group]Run dtolnay/rust-toolchain@stable
2026-06-04T00:32:39.3584797Z with:
2026-06-04T00:32:39.3585087Z   components: clippy
2026-06-04T00:32:39.3585400Z   toolchain: stable
2026-06-04T00:32:39.3585697Z ##[endgroup]
2026-06-04T00:32:39.3717218Z ##[group]Run : parse toolchain version
2026-06-04T00:32:39.3717810Z [36;1m: parse toolchain version[0m
2026-06-04T00:32:39.3718441Z [36;1mif [[ -z $toolchain ]]; then[0m
2026-06-04T00:32:39.3719182Z [36;1m  # GitHub does not enforce `required: true` inputs itself. https://github.com/actions/runner/issues/1070[0m
2026-06-04T00:32:39.3720083Z [36;1m  echo "'toolchain' is a required input" >&2[0m
2026-06-04T00:32:39.3720519Z [36;1m  exit 1[0m
2026-06-04T00:32:39.3720968Z [36;1melif [[ $toolchain =~ ^stable' '[0-9]+' '(year|month|week|day)s?' 'ago$ ]]; then[0m
2026-06-04T00:32:39.3721481Z [36;1m  if [[ Linux == macOS ]]; then[0m
2026-06-04T00:32:39.3722097Z [36;1m    echo "toolchain=1.$((($(date -v-$(sed 's/stable \([0-9]*\) \(.\).*/\1\2/' <<< $toolchain) +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-04T00:32:39.3722748Z [36;1m  else[0m
2026-06-04T00:32:39.3723239Z [36;1m    echo "toolchain=1.$((($(date --date "${toolchain#stable }" +%s)/60/60/24-16569)/7/6))" >> $GITHUB_OUTPUT[0m
2026-06-04T00:32:39.3723776Z [36;1m  fi[0m
2026-06-04T00:32:39.3724177Z [36;1melif [[ $toolchain =~ ^stable' 'minus' '[0-9]+' 'releases?$ ]]; then[0m
2026-06-04T00:32:39.3724807Z [36;1m  echo "toolchain=1.$((($(date +%s)/60/60/24-16569)/7/6-${toolchain//[^0-9]/}))" >> $GITHUB_OUTPUT[0m
2026-06-04T00:32:39.3725354Z [36;1melif [[ $toolchain =~ ^1\.[0-9]+$ ]]; then[0m
2026-06-04T00:32:39.3726014Z [36;1m  echo "toolchain=1.$((i=${toolchain#1.}, c=($(date +%s)/60/60/24-16569)/7/6, i+9*i*(10*i<=c)+90*i*(100*i<=c)))" >> $GITHUB_OUTPUT[0m
2026-06-04T00:32:39.3726604Z [36;1melse[0m
2026-06-04T00:32:39.3726953Z [36;1m  echo "toolchain=$toolchain" >> $GITHUB_OUTPUT[0m
2026-06-04T00:32:39.3727338Z [36;1mfi[0m
2026-06-04T00:32:39.3750488Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:32:39.3751015Z env:
2026-06-04T00:32:39.3751307Z   toolchain: stable
2026-06-04T00:32:39.3751610Z ##[endgroup]
2026-06-04T00:32:39.3897788Z ##[group]Run : construct rustup command line
2026-06-04T00:32:39.3898352Z [36;1m: construct rustup command line[0m
2026-06-04T00:32:39.3898976Z [36;1mecho "targets=$(for t in ${targets//,/ }; do echo -n ' --target' $t; done)" >> $GITHUB_OUTPUT[0m
2026-06-04T00:32:39.3900023Z [36;1mecho "components=$(for c in ${components//,/ }; do echo -n ' --component' $c; done)" >> $GITHUB_OUTPUT[0m
2026-06-04T00:32:39.3900682Z [36;1mecho "downgrade=" >> $GITHUB_OUTPUT[0m
2026-06-04T00:32:39.3919227Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:32:39.3919822Z env:
2026-06-04T00:32:39.3920149Z   targets: 
2026-06-04T00:32:39.3920489Z   components: clippy
2026-06-04T00:32:39.3920834Z ##[endgroup]
2026-06-04T00:32:39.3999202Z ##[group]Run : set $CARGO_HOME
2026-06-04T00:32:39.3999641Z [36;1m: set $CARGO_HOME[0m
2026-06-04T00:32:39.4000527Z [36;1mecho CARGO_HOME=${CARGO_HOME:-"$HOME/.cargo"} >> $GITHUB_ENV[0m
2026-06-04T00:32:39.4025104Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:32:39.4025910Z ##[endgroup]
2026-06-04T00:32:39.4200711Z ##[group]Run : install rustup if needed
2026-06-04T00:32:39.4201261Z [36;1m: install rustup if needed[0m
2026-06-04T00:32:39.4201710Z [36;1mif ! command -v rustup &>/dev/null; then[0m
2026-06-04T00:32:39.4202617Z [36;1m  curl --proto '=https' --tlsv1.2 --retry 10 --retry-connrefused --location --silent --show-error --fail https://sh.rustup.rs | sh -s -- --default-toolchain none -y[0m
2026-06-04T00:32:39.4203466Z [36;1m  echo "$CARGO_HOME/bin" >> $GITHUB_PATH[0m
2026-06-04T00:32:39.4203873Z [36;1mfi[0m
2026-06-04T00:32:39.4222453Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:32:39.4222944Z env:
2026-06-04T00:32:39.4223288Z   CARGO_HOME: /home/runner/.cargo
2026-06-04T00:32:39.4223671Z ##[endgroup]
2026-06-04T00:32:39.4305304Z ##[group]Run rustup toolchain install stable --component clippy --profile minimal --no-self-update
2026-06-04T00:32:39.4306127Z [36;1mrustup toolchain install stable --component clippy --profile minimal --no-self-update[0m
2026-06-04T00:32:39.4325423Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:32:39.4326022Z env:
2026-06-04T00:32:39.4326339Z   CARGO_HOME: /home/runner/.cargo
2026-06-04T00:32:39.4326721Z   RUSTUP_PERMIT_COPY_RENAME: 1
2026-06-04T00:32:39.4327075Z ##[endgroup]
2026-06-04T00:32:39.9710472Z info: syncing channel updates for stable-x86_64-unknown-linux-gnu
2026-06-04T00:32:40.4689334Z info: latest update on 2026-05-28 for version 1.96.0 (ac68faa20 2026-05-25)
2026-06-04T00:32:40.4921569Z info: removing previous version of component clippy
2026-06-04T00:32:40.4982643Z info: removing previous version of component rustfmt
2026-06-04T00:32:40.4991647Z info: removing previous version of component cargo
2026-06-04T00:32:40.5026501Z info: removing previous version of component rust-std
2026-06-04T00:32:40.5250292Z info: removing previous version of component rustc
2026-06-04T00:32:40.5294456Z info: downloading 5 components
2026-06-04T00:32:50.1725904Z 
2026-06-04T00:32:50.1814642Z   stable-x86_64-unknown-linux-gnu updated - rustc 1.96.0 (ac68faa20 2026-05-25) (from rustc 1.95.0 (59807616e 2026-04-14))
2026-06-04T00:32:50.1815799Z 
2026-06-04T00:32:50.1871309Z ##[group]Run rustup default stable
2026-06-04T00:32:50.1871645Z [36;1mrustup default stable[0m
2026-06-04T00:32:50.1887402Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:32:50.1887768Z env:
2026-06-04T00:32:50.1888012Z   CARGO_HOME: /home/runner/.cargo
2026-06-04T00:32:50.1888262Z ##[endgroup]
2026-06-04T00:32:50.1968390Z info: using existing install for stable-x86_64-unknown-linux-gnu
2026-06-04T00:32:50.1980130Z info: default toolchain set to stable-x86_64-unknown-linux-gnu
2026-06-04T00:32:50.1981793Z 
2026-06-04T00:32:50.2045399Z   stable-x86_64-unknown-linux-gnu unchanged - rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-04T00:32:50.2050400Z 
2026-06-04T00:32:50.2075576Z ##[group]Run : create cachekey
2026-06-04T00:32:50.2075907Z [36;1m: create cachekey[0m
2026-06-04T00:32:50.2076395Z [36;1mDATE=$(rustc +stable --version --verbose | sed -ne 's/^commit-date: \(20[0-9][0-9]\)-\([01][0-9]\)-\([0-3][0-9]\)$/\1\2\3/p')[0m
2026-06-04T00:32:50.2077026Z [36;1mHASH=$(rustc +stable --version --verbose | sed -ne 's/^commit-hash: //p')[0m
2026-06-04T00:32:50.2077524Z [36;1mecho "cachekey=$(echo $DATE$HASH | head -c12)" >> $GITHUB_OUTPUT[0m
2026-06-04T00:32:50.2093287Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:32:50.2093632Z env:
2026-06-04T00:32:50.2093884Z   CARGO_HOME: /home/runner/.cargo
2026-06-04T00:32:50.2094143Z ##[endgroup]
2026-06-04T00:32:50.2405468Z ##[group]Run : disable incremental compilation
2026-06-04T00:32:50.2405877Z [36;1m: disable incremental compilation[0m
2026-06-04T00:32:50.2406214Z [36;1mif [ -z "${CARGO_INCREMENTAL+set}" ]; then[0m
2026-06-04T00:32:50.2406607Z [36;1m  echo CARGO_INCREMENTAL=0 >> $GITHUB_ENV[0m
2026-06-04T00:32:50.2406942Z [36;1mfi[0m
2026-06-04T00:32:50.2422681Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:32:50.2423036Z env:
2026-06-04T00:32:50.2423251Z   CARGO_HOME: /home/runner/.cargo
2026-06-04T00:32:50.2423510Z ##[endgroup]
2026-06-04T00:32:50.2474664Z ##[group]Run : enable colors in Cargo output
2026-06-04T00:32:50.2475023Z [36;1m: enable colors in Cargo output[0m
2026-06-04T00:32:50.2475346Z [36;1mif [ -z "${CARGO_TERM_COLOR+set}" ]; then[0m
2026-06-04T00:32:50.2475684Z [36;1m  echo CARGO_TERM_COLOR=always >> $GITHUB_ENV[0m
2026-06-04T00:32:50.2475979Z [36;1mfi[0m
2026-06-04T00:32:50.2489881Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:32:50.2490263Z env:
2026-06-04T00:32:50.2490478Z   CARGO_HOME: /home/runner/.cargo
2026-06-04T00:32:50.2490745Z   CARGO_INCREMENTAL: 0
2026-06-04T00:32:50.2490965Z ##[endgroup]
2026-06-04T00:32:50.2621290Z ##[group]Run : enable Cargo sparse registry
2026-06-04T00:32:50.2622096Z [36;1m: enable Cargo sparse registry[0m
2026-06-04T00:32:50.2622774Z [36;1m# implemented in 1.66, stabilized in 1.68, made default in 1.70[0m
2026-06-04T00:32:50.2623983Z [36;1mif [ -z "${CARGO_REGISTRIES_CRATES_IO_PROTOCOL+set}" -o -f "/home/runner/work/_temp"/.implicit_cargo_registries_crates_io_protocol ]; then[0m
2026-06-04T00:32:50.2625348Z [36;1m  if rustc +stable --version --verbose | grep -q '^release: 1\.6[89]\.'; then[0m
2026-06-04T00:32:50.2626327Z [36;1m    touch "/home/runner/work/_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-04T00:32:50.2627193Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=sparse >> $GITHUB_ENV[0m
2026-06-04T00:32:50.2628015Z [36;1m  elif rustc +stable --version --verbose | grep -q '^release: 1\.6[67]\.'; then[0m
2026-06-04T00:32:50.2628855Z [36;1m    touch "/home/runner/work/_temp"/.implicit_cargo_registries_crates_io_protocol || true[0m
2026-06-04T00:32:50.2629472Z [36;1m    echo CARGO_REGISTRIES_CRATES_IO_PROTOCOL=git >> $GITHUB_ENV[0m
2026-06-04T00:32:50.2630042Z [36;1m  fi[0m
2026-06-04T00:32:50.2630247Z [36;1mfi[0m
2026-06-04T00:32:50.2645596Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:32:50.2645943Z env:
2026-06-04T00:32:50.2646165Z   CARGO_HOME: /home/runner/.cargo
2026-06-04T00:32:50.2646438Z   CARGO_INCREMENTAL: 0
2026-06-04T00:32:50.2646660Z   CARGO_TERM_COLOR: always
2026-06-04T00:32:50.2646883Z ##[endgroup]
2026-06-04T00:32:50.2930264Z ##[group]Run : work around spurious network errors in curl 8.0
2026-06-04T00:32:50.2930721Z [36;1m: work around spurious network errors in curl 8.0[0m
2026-06-04T00:32:50.2931270Z [36;1m# https://rust-lang.zulipchat.com/#narrow/stream/246057-t-cargo/topic/timeout.20investigation[0m
2026-06-04T00:32:50.2931865Z [36;1mif rustc +stable --version --verbose | grep -q '^release: 1\.7[01]\.'; then[0m
2026-06-04T00:32:50.2932299Z [36;1m  echo CARGO_HTTP_MULTIPLEXING=false >> $GITHUB_ENV[0m
2026-06-04T00:32:50.2932617Z [36;1mfi[0m
2026-06-04T00:32:50.2948090Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:32:50.2948433Z env:
2026-06-04T00:32:50.2948644Z   CARGO_HOME: /home/runner/.cargo
2026-06-04T00:32:50.2948906Z   CARGO_INCREMENTAL: 0
2026-06-04T00:32:50.2949130Z   CARGO_TERM_COLOR: always
2026-06-04T00:32:50.2949370Z ##[endgroup]
2026-06-04T00:32:50.3120958Z ##[group]Run rustc +stable --version --verbose
2026-06-04T00:32:50.3121344Z [36;1mrustc +stable --version --verbose[0m
2026-06-04T00:32:50.3136669Z shell: /usr/bin/bash --noprofile --norc -e -o pipefail {0}
2026-06-04T00:32:50.3137017Z env:
2026-06-04T00:32:50.3137227Z   CARGO_HOME: /home/runner/.cargo
2026-06-04T00:32:50.3137487Z   CARGO_INCREMENTAL: 0
2026-06-04T00:32:50.3137735Z   CARGO_TERM_COLOR: always
2026-06-04T00:32:50.3137969Z ##[endgroup]
2026-06-04T00:32:50.3279068Z rustc 1.96.0 (ac68faa20 2026-05-25)
2026-06-04T00:32:50.3280912Z binary: rustc
2026-06-04T00:32:50.3283565Z commit-hash: ac68faa20c58cbccd01ee7208bf3b6e93a7d7f96
2026-06-04T00:32:50.3284368Z commit-date: 2026-05-25
2026-06-04T00:32:50.3284932Z host: x86_64-unknown-linux-gnu
2026-06-04T00:32:50.3285595Z release: 1.96.0
2026-06-04T00:32:50.3286223Z LLVM version: 22.1.2
